package matrices2;

import matrices.*;

public class Matrix065 {
    public static void main(String[] args) {
        double[][] array1 = {{2, 4, 0, 6}, {4, 10, -2, 12}, {6, 14, 0, 10},
                {-2, 0, 0, -4}};
        Matrix matrix1 = new Matrix(array1);
        matrix1.printToConsole();
        try {
            Util.print(matrix1.det());
        } catch (MatrixException e) {
            e.printStackTrace();
        }
        Matrix matrix2 = MatrixUtil.makeE(matrix1, Elem.Row, 1, 0, -2);
        matrix2.printToConsole();
        Util.print("");
        Matrix matrix3 = MatrixUtil.multiply3(matrix2, matrix1);
        matrix3.printToConsole();
        try {
            Util.print(matrix3.det());
        } catch (MatrixException e) {
            e.printStackTrace();
        }
    }
}
